void main( void )
{
 int &say;
 &say = random(4,1);
 if (&say == 4)
 {
	 say_stop("`5亲爱的，我想你...", &current_sprite);
	 say_stop("`7啊，丁克！真是不好意思，我都没注意到你。", &current_sprite);
 }
 if (&story == 5)
 {
	 &say = random(3,1);
	 if (&say == 1)
	 {
		 say_stop("`7丁克你还好吧。", &current_sprite);
		 wait(250);
		 say_stop("`7真是太不幸了。", &current_sprite);
	 }
 }
 if (&farmer_quest == 1)
 {
	 say("`7呀，丁克，我的农场处理得如何了？", &current_sprite);
 }
 if (&farmer_quest == 2)
 {
	 say("`7这不是拯救了我农场的英雄丁克吗？！", &current_sprite);
 }
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "关于家庭状况"
(&farmer_quest == 0)"询问关于农场的事"
 "Ask to see Libby"
(&farmer_quest == 1)"了解农场的具体情况"
 "离开"
 choice_end()
 wait(200);
  if (&result == 1)
  {
 say_stop("你们一家过得怎样呢？", 1);
          say_stop("`7还行。", &current_sprite);
           wait(200);
          say_stop("哦。", 1);
	  if (&story == 5)
	  {
		  say_stop("`7丁克...你妈的事...哎..真是太遗憾了。", &current_sprite);
		  say_stop("`7她是个好人...", &current_sprite);
           wait(200);
		  say_stop("谢谢。", 1);
	  }
  }
  if (&result == 2)
  {
          say_stop("农场怎么样啊？赚大了吧？", 1);

          wait(200);
          say_stop("`7农场... 农场！！那些可恶的虫子！", &current_sprite);
	  say_stop("`7我开始被他们惹毛了。", &current_sprite);
	  say_stop("`7他们不知为何从森林里跑出来到我的农场捣乱，", &current_sprite);
	  say_stop("`7该把他们处理掉了 ..." ,&current_sprite);
      choice_start()
      "自告奋勇去除虫"
      "问问他有什么打算"
      choice_end()
	  if (&result == 1)
	  {
		  &farmer_quest = 1;
		  say_stop("不用担心 SmileStein 先生，我去把它们处理掉吧。", 1);
		  wait(250);
		  say_stop("`7真的吗丁克？真是太感谢了。", &current_sprite);
		  say_stop("`7当你处理掉他们后回来告诉我一下就行了。", &current_sprite);
		  say_stop("行，没问题。", 1);
	  }
	  if (&result == 2)
	  {
		  say_stop("你准备怎么做呢？", 1);
		  wait(250);
		  say_stop("`7我在想从PortTown请个猎人", &current_sprite);
		  say_stop("`7叫他去处理它们，这样今年还会有些收成吧。", &current_sprite);
	  }
  }
  if (&result == 3)
  {
          say_stop("我能去见 Libby 吗？", 1);
	  wait(250);

	  if (&farmer_quest == 2)
	  {
		  say_stop("`7既然是你要求，我也不便阻拦。", &current_sprite);
		  unfreeze(1);
                  unfreeze(&current_sprite);
		  return;
	  }
	  say_stop("`7不，现在不行。", &current_sprite);
	  say_stop("`7不能打扰她。", &current_sprite);
	  say_stop("哦", 1);
  }
  if (&result == 4)
  {
	  say_stop("`7我的农场就在西边，", &current_sprite);
	  say_stop("`7那些虫子似乎一直都在，", &current_sprite);
	  say_stop("`7去看看情况吧。", &current_sprite);
  }
  unfreeze(1);
  unfreeze(&current_sprite);
}

void hit( void )
{
 say_stop("`7我才没兴趣和你打架玩呢。", &current_sprite);
}
